package com.yeejoin.amos.jpush.common.vo;

import com.google.common.collect.Lists;

import java.util.List;
import java.util.Map;

public class DepartmentUserTreeAppVo {

    private String name;

    private String id;

    private String type;

    private Map<String, String> object;

    private List<DepartmentUserTreeAppVo> children = Lists.newArrayList();

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Map<String, String> getObject() {
        return object;
    }

    public void setObject(Map<String, String> object) {
        this.object = object;
    }

    public List<DepartmentUserTreeAppVo> getChildren() {
        return children;
    }

    public void setChildren(List<DepartmentUserTreeAppVo> children) {
        this.children = children;
    }
}
